Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class NodeList

Constructor Summary
`NodeList()`
`NodeList(Collection collection)`
`NodeList(int size)`

Method Summary
`NodeList` | `getAt(String name)` Provides lookup of elements by non-namespaced name.
`NodeList` | `getAt(QName name)` Provides lookup of elements by QName.
`static void` | `setMetaClass(MetaClass metaClass)`
`String` | `text()` Returns the text value of all of the elements in the collection.

Constructor Detail

### NodeList

    public NodeList()

### NodeList

    public NodeList(Collection collection)

### NodeList

    public NodeList(int size)

Method Detail

### getAt

    public NodeList getAt(String name)

  Provides lookup of elements by non-namespaced name.
  param:
    name the name or shortcut key for nodes of interest
  return:
    the nodes of interest which match name

### getAt

    public NodeList getAt(QName name)

  Provides lookup of elements by QName.
  param:
    name the name or shortcut key for nodes of interest
  return:
    the nodes of interest which match name

### setMetaClass

    static void setMetaClass(MetaClass metaClass)

### text

    public String text()

  Returns the text value of all of the elements in the collection.
  return:
    the text value of all the elements in the collection or null